import { AbstractObjectTransactionHander } from "./AbstractObjectTransactionHander";
export class DeleteObjectExtensionTransactionHandler extends AbstractObjectTransactionHander {
    applyTransaction(transaction) {
        const object = this.getObjectOrThrow(transaction.objectId);
        const indexOfExtension = object.extensions.findIndex((extension) => extension.extensionId === transaction.extensionId);
        if (indexOfExtension === -1) {
            throw new Error(`Extension ${transaction.extensionId} does not exist`);
        }
        object.extensions.splice(indexOfExtension, 1);
    }
}
